Bug 805938 - CVE-2012-0037 raptor: XML External Entity (XXE) attack by processing certain RDF files [epel-5]
Summary: CVE-2012-0037 raptor: XML External Entity (XXE) attack by processing certain ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: raptor
Version: el5
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-0037
TreeView+ depends on / blocked
 
Reported: 2012-03-22 14:13 UTC by Jan Lieskovsky
Modified: 2012-07-27 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-27 22:06:29 UTC


Attachments (Terms of Use)
Backported fix (13.66 KB, patch)
2012-07-12 10:05 UTC, Jaroslav Škarvada
no flags Details | Diff
Backported fix (12.79 KB, patch)
2012-07-12 13:27 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Jan Lieskovsky 2012-03-22 14:13:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=791296

epel-5 tracking bug for raptor: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Jaroslav Škarvada 2012-07-12 10:05:03 UTC
Created attachment 597754 [details]
Backported fix

Comment 2 Jaroslav Škarvada 2012-07-12 13:27:28 UTC
Created attachment 597811 [details]
Backported fix

Comment 3 Fedora Update System 2012-07-12 13:37:58 UTC
raptor-1.4.16-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/raptor-1.4.16-3.el5

Comment 4 Fedora Update System 2012-07-12 22:33:45 UTC
Package raptor-1.4.16-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing raptor-1.4.16-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6383/raptor-1.4.16-3.el5
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-07-27 22:06:29 UTC
raptor-1.4.16-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.